package com.redhat.jomarko;

import static org.junit.Assert.*;

import java.util.HashMap;
import java.util.Map;

import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;
import org.kie.api.KieBase;
import org.kie.api.KieServices;
import org.kie.api.runtime.KieContainer;
import org.kie.api.runtime.KieSession;
import org.kie.api.runtime.process.ProcessInstance;
import org.kie.api.runtime.process.WorkflowProcessInstance;


public class JbpmTest {
	private static KieServices ks;
	private static KieContainer kContainer;
	private static KieBase kbase;
	
	private KieSession ksession;
	
	@BeforeClass
	public static void createBase() {
		ks = KieServices.Factory.get();
		kContainer = ks.getKieClasspathContainer();
		kbase = kContainer.getKieBase("kbase");
	}
	
	@Before
	public void initSession() {
		ksession = kbase.newKieSession();
	}
	
	@Test
	public void linkOne() {
		Map<String, Object> args = new HashMap<String, Object>();
		args.put("VariableOne", 10);
		WorkflowProcessInstance processInstance = (WorkflowProcessInstance) ksession.startProcess("BPMN2LinkEventNotOk", args);
		assertEquals(ProcessInstance.STATE_COMPLETED, processInstance.getState());
	}
	
	@Test
	public void linkTwo() {
		Map<String, Object> args = new HashMap<String, Object>();
		args.put("VariableOne", 11);
		WorkflowProcessInstance processInstance = (WorkflowProcessInstance) ksession.startProcess("BPMN2LinkEventNotOk", args);
		assertEquals(ProcessInstance.STATE_COMPLETED, processInstance.getState());
	}
}
